Chuyển đến nội dung
Diễn đàn CADViet
tn20159

Mới nghiên cứu về autolisp

Các bài được khuyến nghị

Mình muốn nghiên cứu về autolisp để phục vụ cho việc vẽ trên autocad nhanh hơn và mình cũng có 1 giáo trình autolisp nhưng đọc thì được nhưng không hiểu để ứng dụng ví dụ như mình muốn viết một đoạn mã đơn giản để hiển thị trên màn hình như:

(princ "\nChao cadviet")

(princ)

Nhưng không biết làm thế nào cho thể hiện trên màn hình được, Mong các Bác chỉ giáo.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình muốn nghiên cứu về autolisp để phục vụ cho việc vẽ trên autocad nhanh hơn và mình cũng có 1 giáo trình autolisp nhưng đọc thì được nhưng không hiểu để ứng dụng ví dụ như mình muốn viết một đoạn mã đơn giản để hiển thị trên màn hình như:

(princ "\nChao cadviet")

(princ)

Nhưng không biết làm thế nào cho thể hiện trên màn hình được, Mong các Bác chỉ giáo.

Bạn xem ở đây: Cách dùng mã lisp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Mình muốn nghiên cứu về autolisp để phục vụ cho việc vẽ trên autocad nhanh hơn và mình cũng có 1 giáo trình autolisp nhưng đọc thì được nhưng không hiểu để ứng dụng ví dụ như mình muốn viết một đoạn mã đơn giản để hiển thị trên màn hình như:

(princ "\nChao cadviet")

(princ)

Nhưng không biết làm thế nào cho thể hiện trên màn hình được, Mong các Bác chỉ giáo.

Đoạn Code :

(defun c:CVIET()

(setq dc (getpoint "\nCho diem chen :"))

(command "-style" "CADVIET" "VNARIAL.TTF" "0" "1" "0" "n" "n")

(command ".TEXT" "m" dc 250 0 "Chao cadviet")

(princ)

)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Đoạn Code :

(defun c:CVIET()

(setq dc (getpoint "\nCho diem chen :"))

(command "-style" "CADVIET" "VNARIAL.TTF" "0" "1" "0" "n" "n")

(command ".TEXT" "m" dc 250 0 "Chao cadviet")

(princ)

)

Thanks, Mình đọc rất kỹ nhưng vẫn không làm được. Mong bác giúp cho, mình chỉ thấy commad "chao cad viet" nhưng không thấy trên màn hình vẽ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thanks, Mình đọc rất kỹ nhưng vẫn không làm được. Mong bác giúp cho, mình chỉ thấy commad "chao cad viet" nhưng không thấy trên màn hình vẽ.

Sau khi bạn load đoạn lisp này vào bản vẽ, bạn phải gõ Cviet vào dòng nhắc lệnh command của autocad thì nó mới vẽ cho bạn xem được chứ. Không ra lệnh cho nó thì tất nhiên nó đứng chơi rồi, chả trách nó được.

Mà bạn nên lưu ý là phải chọn điểm chèn text nữa thì nó mới viết cho bạn được. Nếu bạn chọn kích thước màn hình quá nhỏ thì có thể sẽ không thấy chữ do nó nằm ngoài phần giới hạn của màn hình. Bạn phải Zoom all màn hình mới thấy được. Nếu bạn chọn kích thước màn hình quá lớn thì cái chữ sẽ nhỏ li ti , bạn phải zoom in nó mới thấy được.

Chúc bạn thành công.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Sau khi bạn load đoạn lisp này vào bản vẽ, bạn phải gõ Cviet vào dòng nhắc lệnh command của autocad thì nó mới vẽ cho bạn xem được chứ. Không ra lệnh cho nó thì tất nhiên nó đứng chơi rồi, chả trách nó được.

Mà bạn nên lưu ý là phải chọn điểm chèn text nữa thì nó mới viết cho bạn được. Nếu bạn chọn kích thước màn hình quá nhỏ thì có thể sẽ không thấy chữ do nó nằm ngoài phần giới hạn của màn hình. Bạn phải Zoom all màn hình mới thấy được. Nếu bạn chọn kích thước màn hình quá lớn thì cái chữ sẽ nhỏ li ti , bạn phải zoom in nó mới thấy được.

Chúc bạn thành công.

Thanks, mình không hiểu chèn text là như thế nào bác có thể giải thích rõ hơn không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Sau khi bạn load đoạn lisp này vào bản vẽ, bạn phải gõ Cviet vào dòng nhắc lệnh command của autocad thì nó mới vẽ cho bạn xem được chứ. Không ra lệnh cho nó thì tất nhiên nó đứng chơi rồi, chả trách nó được.

Mà bạn nên lưu ý là phải chọn điểm chèn text nữa thì nó mới viết cho bạn được. Nếu bạn chọn kích thước màn hình quá nhỏ thì có thể sẽ không thấy chữ do nó nằm ngoài phần giới hạn của màn hình. Bạn phải Zoom all màn hình mới thấy được. Nếu bạn chọn kích thước màn hình quá lớn thì cái chữ sẽ nhỏ li ti , bạn phải zoom in nó mới thấy được.

Chúc bạn thành công.

Thanks, mình đã làm được rồi. Nhưng mình lại không hiểu tại sao lại phải commad: Cviet

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Thanks, mình đã làm được rồi. Nhưng mình lại không hiểu tại sao lại phải commad: Cviet

Đoạn Code :

(defun c:CVIET()

(setq dc (getpoint "\nCho diem chen :"))

(command "-style" "CADVIET" "VNARIAL.TTF" "0" "1" "0" "n" "n")

(command ".TEXT" "m" dc 250 0 "Chao cadviet")

(princ)

)

 

Sau chữ (defun c: chính là tên lệnh.

Vậy tên lệnh file Lisp trên chính là CVIET

Bạn hãy xem thêm ở đây : Hướng dẫn sử dụng mã Lisp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Đoạn Code :

(defun c:CVIET()

(setq dc (getpoint "\nCho diem chen :"))

(command "-style" "CADVIET" "VNARIAL.TTF" "0" "1" "0" "n" "n")

(command ".TEXT" "m" dc 250 0 "Chao cadviet")

(princ)

)

 

Sau chữ (defun c: chính là tên lệnh.

Vậy tên lệnh file Lisp trên chính là CVIET

Bạn hãy xem thêm ở đây : Hướng dẫn sử dụng mã Lisp

Rất cảm ơn vì Bác rất nhiệt tình giúp đỡ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×